Subject: missing handling of "No newline at end of file" in git am

From: Olaf Hering <[email-masked]>
Date: Tue, 14 Feb 2017 21:11:04 +0100

How is git send-email and git am supposed to handle a text file which
lacks a newline at the very end? This is about git 2.11.0.

Right now the patch in an email generated with 'git send-email' ends
with '\ No newline at end of file', which 'git am' can not handle.  To
me it looks like whatever variant of "diff" is used does the right thing
and indicates the lack of newline. Just the used variant of "patch" does
not deal with it.

Olaf